{ RRRRRR                  ReportBuilder Class Library                  BBBBB
  RR   RR                                                              BB   BB
  RRRRRR                 Digital Metaphors Corporation                 BB BB
  RR  RR                                                               BB   BB
  RR   RR                   Copyright (c) 1996-2002                    BBBBB   }

unit rbWebModule;

interface

 {The web report viewer generated by the web tier can optionally include
  a Print button on the toolbar which enables users to print a PDF version
  of the current report. Exporting to PDF requires the inclusion of a PDF
  Adapter. To include a PDF adapater, add one of the following to the 'uses'
  clause of the application.

    rsWebAdapterPDF         -  ReportBuilder's built-in PDF export
    rsWebAdapterPDFPragnaan -  Pragnaan PDF export: www.pragnaan.com
    rsWebAdapterPDFWaler    -  Waler PDF export: www.waler.com

  By removing the 'x' which begins each of the compiler directives below, you
  can include a ReoportBuilder PDF web adapter that automatically adds a print
  button to the toolbar of the web report viewer.}

{$DEFINE DEFAULT}     {add/remove an 'x' to enable/disable RB's Default PDF support}
{x$DEFINE WALER}      {remove the 'x' to enable Waler PDF support}
{x$DEFINE PRAGNAAN}   {remove the 'x' to enable Pragnaan PDF support}

uses

{$IFDEF DEFAULT}
  rsWebAdapterPDF,
{$ENDIF}

{$IFDEF WALER}
  rsWebAdapterPDFWaler,
{$ENDIF}

{$IFDEF PRAGNAAN}
  rsWebAdapterPDFPragnaan,
{$ENDIF}

  SysUtils, Classes, HTTPApp, rsWebTier, ppComm;

type
  TWebModule1 = class(TWebModule)
    rsWebTier1: TrsWebTier;
    procedure WebModule1WebActionItem1Action(Sender: TObject; Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule1: TWebModule1;

implementation

{$R *.DFM}

uses
  WebReq,

  rsWebRequest,
  rsWebSessionManager;

procedure TWebModule1.WebModule1WebActionItem1Action(Sender: TObject; Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
var
  lWebRequest: TrsWebRequest;
begin

  // create a TrsWebRequest object
  lWebRequest := rsWebTier1.CreateWebRequest(Request.QueryFields, Request.Content);

  // if the session does not exists, use the global WebSessionManager to create one
  if not rsWebTier1.SessionExists(lWebRequest) then
    gWebSessionManager.GetSessionForRequest(lWebRequest);

  // at this point we have a session id assigned
  // lWebRequest.SessionID;

  // process the web request
  Response.Content := rsWebTier1.ProcessWebRequest(lWebRequest);

end;

initialization
  if WebRequestHandler <> nil then
    WebRequestHandler.WebModuleClass := TWebModule1;

end.
